<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}



$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));
	
	
	include("connect.php");
include("mylibrary.php");
	
	//$referencename=$_POST['referencename'];
	$referencename=checkvalidstring ($_POST['referencename']);
	
	
	
	
	
		
	$eve = "select * from res_reference_master where referencename='$referencename'";
	$re = mysqli_query($conn, $eve);
	if(mysqli_num_rows($re) > 0)
	{
		$_SESSION['msg1'] = "reference Already Inserted.";
		header('Location: reference.php');
	}
	else
	{	
		 $eve1 = "INSERT INTO res_reference_master (referencename) VALUES('$referencename')";
		
		$re1 = mysqli_query($conn, $eve1);
			
	$_SESSION['msg'] = "Record saved successfully";
	header('Location: reference.php');
			
	}
?>